#ifndef SLAVEREGBYREMOTE_H_
#define SLAVEREGBYREMOTE_H_

#include "gType.h" 
#include "GraphBase.h"
#include "string.h"
#include "Register.h"

class TSlaveRegByRemote{
	public:
		static constexpr TRect Rect = {
			.Left = 200,
			.Top = 120,
			.Right = 599,
			.Bottom = 429,
			.Width = 599-200 +1,
			.Height = 429 - 120 +1,
			.CenterPoint.x = (599 - 200 + 1) /2 + 200,
			.CenterPoint.y = (429 - 120 + 1) /2 + 120
		};
		static constexpr TPoint PointProgressBar = {
			.x = 10,
			.y = 6,
		};
	public:
		class TRegister *pInstance;
	
		unsigned char IsShow;
		unsigned char StartSeqIdf;
		unsigned char HasStart;
		unsigned char RegWhat;
			
		int SpendTime;
	public:
		TSlaveRegByRemote(){};
		void Init();
	
		void RenderBackGround(void);
		void RenderBackGround(unsigned int aClr);
		void DrawSelf(void);
		static void sDelayMs(unsigned int aMs);
		unsigned char C2CGetData(unsigned char aCmd, unsigned char *pData);
			
		static void ReplyStartState(unsigned char aSta);
		
			
		void Task1000Ms();
		
	
};

#endif
